using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Text;
using System.Windows.Forms;
using Halo3Map.Map;

namespace LibraryManager
{
    public partial class EngineerLibrary : UserControl
    {

        public string LibraryName = "Default";
        public string Author = "Anthony";
        public string TagType = "****";

        public EngineerLibrary()
        {
            InitializeComponent();
        }

        public virtual void Run(Map map, int MetaIndex)
        {

        }

        public virtual void RefreshTag(Map map, int MetaIndex)
        {

        }

        public string GetName()
        {
            return this.LibraryName;
        }

    }
}
